/*
 * FxGLUT version 0.12 - GLUT for Voodoo 1 and 2 under Linux
 * Copyright (C) 1999 Christopher John Purnell
 *                    cjp@lost.org.uk
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __GLUT_BITMAP_H__
#define __GLUT_BITMAP_H__

#include <GL/gl.h>

typedef struct {
	const GLsizei width;
	const GLsizei height;
	const GLfloat xorig;
	const GLfloat yorig;
	const GLfloat xmove;
	const GLubyte *bitmap;
} GlutBitmapChar;

typedef struct {
	const char *name;
	const unsigned num;
	const short height;
	const short descent;
	const GlutBitmapChar *const *table;
} GlutBitmapFont;

#endif /* __GLUT_BITMAP_H__ */
