/*
 * FxGLUT version 0.11 - GLUT for Voodoo 1 and 2 under Linux
 * Copyright (C) 1999 Christopher John Purnell
 *                    cjp@lost.org.uk
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __GLUT_MENU_H__
#define __GLUT_MENU_H__

typedef struct glut_menu {
	int id;
	struct glut_menu *next;
	struct glut_menu_item *items;
	void (*callback)(int);
	struct glut_menu_item *active;
	int x, y;
	int width, height;
} GlutMenu;

typedef struct glut_menu_item {
	struct glut_menu_item *next;
	char *label;
	int value;
	struct glut_menu *menu;
	int width;
} GlutMenuItem;

extern GlutMenu *__glutActiveMenu;
extern GlutMenu *__glutAttachedMenus[3];

extern int __glutMenuButtonDown(GlutMenu *);
extern int __glutMenuButtonUp(GlutMenu *);
extern void __glutDrawMenu(void);

#endif /* __GLUT_MENU_H__ */
