/*
 * FxGLUT version 0.9 - GLUT for Voodoo 1 and 2 under Linux
 * Copyright (C) 1999 Christopher John Purnell
 *                    cjp@lost.org.uk
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "internal.h"

void glutPostRedisplay(void)
{
	if (__glutContext)
	{
		__glutPending |= GLUT_NEED_DISPLAY;
	}
}

void glutPostWindowRedisplay(int win)
{
	if (win == 1 && __glutContext)
	{
		__glutPending |= GLUT_NEED_DISPLAY;
	}
}

void glutDisplayFunc(void (*func)(void))
{
	__glutDisplayFunc = func;
}

void glutReshapeFunc(void (*func)(int, int))
{
	__glutReshapeFunc = func;
}

void glutIdleFunc(void (*func)(void))
{
	__glutIdleFunc = func;
}

void glutEntryFunc(void (*func)(int))
{
	__glutEntryFunc = func;
}

void glutVisibilityFunc(void (*func)(int))
{
	__glutVisibilityFunc = func;
}
